package be.iminds.ilabt.jfed.testing.base;

import javax.annotation.Nonnull;
import java.util.List;

/**
 * ApiTestMetaData
 */
public abstract class LegacyApiTestMetaData implements ApiTestMetaData<LegacyApiTestConfig> {
    @Nonnull public abstract String getTestDescription();

    @Nonnull public abstract List<String> getReqConfKeys();
    @Nonnull public abstract List<String> getOptConfKeys();

    @Nonnull
    public LegacyApiTestConfig parseApiTestConfig(@Nonnull String apiTestConfigString) {
        return new LegacyApiTestConfig(apiTestConfigString, this);
    }
    @Nonnull
    public ApiTestConfigEditor<LegacyApiTestConfig> getApiTestConfigEditor() {
        return new LegacyApiTestConfigEditor(this);
    }

}
