package be.iminds.ilabt.jfed.testing.base;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * ApiTestConfigProperty
 */
@Target({ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
public @interface ApiTestConfigPropertyDefault {
    String value() default "";
    boolean booleanValue() default false;
    long longValue() default -1;
    double doubleValue() default -1.0;
}
